"use strict";
const z = require("zod");
const appKeysSchema = z.z.object({
  api_key: z.z.string().min(1),
  scale_plan: z.z.string().default("false")
});
const appDataSchema = z.z.object({});
const ZSubmitBatchProcessorJobRes = z.z.object({
  id: z.z.string()
});
const ZGetTranscriptAccessLink = z.z.object({
  id: z.z.string(),
  preset: z.z.string(),
  status: z.z.string(),
  transcription: z.z.array(
    z.z.object({
      format: z.z.string(),
      link: z.z.string().url()
    })
  )
});
exports.ZGetTranscriptAccessLink = ZGetTranscriptAccessLink;
exports.ZSubmitBatchProcessorJobRes = ZSubmitBatchProcessorJobRes;
exports.appDataSchema = appDataSchema;
exports.appKeysSchema = appKeysSchema;
